package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 给药制剂-台账对象 t_gyzj_tz
 *
 * @author hxhq
 * @date 2025-12-18
 */
@TableName("t_gyzj_tz")
public class GyzjTz extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 麻精药id */
    private Long gyzjId;

    /** 领取人名称 */
    private String lqrMc;

    /** 归还人名称 */
    private String ghrMc;

    /** 发放人名称 */
    private String ffrMc;

    /** 接收人名称 */
    private String jsrMc;

    /** 领取人名称-英文 */
    private String lqrMcEn;

    /** 归还人名称-英文 */
    private String ghrMcEn;

    /** 发放人名称-英文 */
    private String ffrMcEn;

    /** 接收人名称-英文 */
    private String jsrMcEn;

    /** 签名人id */
    private Long qmrId;

    /** 签名人名称 */
    private String qmrMc;

    /** 签名人名称-英文 */
    private String qmrMcEn;

    /** 签名意义 */
    private String qmyy;

    /** 签名意义-英文 */
    private String qmyyEn;

    /** 表单id */
    private Long bdId;

    /** 表单名称 */
    @TableField(exist = false)
    private String bdMc;

    /** 操作量 */
    private String czl;

    /** 操作量单位 */
    private String czldw;

    public String getBdMc() {
        return bdMc;
    }

    public void setBdMc(String bdMc) {
        this.bdMc = bdMc;
    }

    public Long getBdId() {
        return bdId;
    }

    public void setBdId(Long bdId) {
        this.bdId = bdId;
    }

    public String getLqrMcEn() {
        return lqrMcEn;
    }

    public void setLqrMcEn(String lqrMcEn) {
        this.lqrMcEn = lqrMcEn;
    }

    public String getGhrMcEn() {
        return ghrMcEn;
    }

    public void setGhrMcEn(String ghrMcEn) {
        this.ghrMcEn = ghrMcEn;
    }

    public String getFfrMcEn() {
        return ffrMcEn;
    }

    public void setFfrMcEn(String ffrMcEn) {
        this.ffrMcEn = ffrMcEn;
    }

    public String getJsrMcEn() {
        return jsrMcEn;
    }

    public void setJsrMcEn(String jsrMcEn) {
        this.jsrMcEn = jsrMcEn;
    }

    public String getQmrMcEn() {
        return qmrMcEn;
    }

    public void setQmrMcEn(String qmrMcEn) {
        this.qmrMcEn = qmrMcEn;
    }

    public String getQmyyEn() {
        return qmyyEn;
    }

    public void setQmyyEn(String qmyyEn) {
        this.qmyyEn = qmyyEn;
    }

    public Long getGyzjId() {
        return gyzjId;
    }

    public void setGyzjId(Long gyzjId) {
        this.gyzjId = gyzjId;
    }

    public String getLqrMc() {
        return lqrMc;
    }

    public void setLqrMc(String lqrMc) {
        this.lqrMc = lqrMc;
    }

    public String getGhrMc() {
        return ghrMc;
    }

    public void setGhrMc(String ghrMc) {
        this.ghrMc = ghrMc;
    }

    public String getFfrMc() {
        return ffrMc;
    }

    public void setFfrMc(String ffrMc) {
        this.ffrMc = ffrMc;
    }

    public String getJsrMc() {
        return jsrMc;
    }

    public void setJsrMc(String jsrMc) {
        this.jsrMc = jsrMc;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrMc() {
        return qmrMc;
    }

    public void setQmrMc(String qmrMc) {
        this.qmrMc = qmrMc;
    }

    public String getQmyy() {
        return qmyy;
    }

    public void setQmyy(String qmyy) {
        this.qmyy = qmyy;
    }

    public String getCzl() {
        return czl;
    }

    public void setCzl(String czl) {
        this.czl = czl;
    }

    public String getCzldw() {
        return czldw;
    }

    public void setCzldw(String czldw) {
        this.czldw = czldw;
    }
}
